Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036425
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2017-07-06 08:292017-09-21 16:49
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision8b2480998f02
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036425: mobile sessions can be kicked out in cluster

DescriptionWhen working in a Tomcat cluster with mobile applications (other than WebPOS) and the number of concurrent users has been reached, active sessions for those applications can be incorrectly killed.

This happens for those mobile sessions created in a different node than the one creating latest session.
Steps To Reproduce1. Install mobile warehouse operations
2. Set openbravo up to run in two Tomcat nodes (A and B)
3. Activate instance with a license limited to 1 concurrent user
4. In node A login warehouse mobile operations app
5. In node B login backoffice
  -> ERRORS:
      * It is possible to login backoffice -> It shouldn't as concurrent user limit has been reached
      * Session in node A is no longer valid
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036419 closedalostale no request processed while killing abandoned sessions 
related to feature request 0032821 closedplatform Mobile Core. Reinforce CU Licensing 
blocks design defect 0034490 acknowledgedplatform [clustering] Support clustering 

-  Notes
(0097916)
hgbot (developer)
2017-07-06 14:10

Repository: erp/devel/pi
Changeset: 8b2480998f027d3b151016ca88553c3211d7231b
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jul 06 10:02:38 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8b2480998f027d3b151016ca88553c3211d7231b [^]

fixed bug 36425: mobile sessions can be kicked out in cluster

  Don't try to invalidate those sessions not present in current node.

---
M src/org/openbravo/erpCommon/obps/ActivationKey.java
---
(0098134)
caristu (developer)
2017-07-19 13:30

Code reviewed + tested OK.
(0099242)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-07-06 08:29 alostale New Issue
2017-07-06 08:29 alostale Assigned To => alostale
2017-07-06 08:29 alostale Modules => Core
2017-07-06 08:29 alostale Triggers an Emergency Pack => No
2017-07-06 08:29 alostale Relationship added related to 0036419
2017-07-06 08:30 alostale Steps to Reproduce Updated View Revisions
2017-07-06 08:36 alostale Relationship added related to 0032821
2017-07-06 14:08 alostale Review Assigned To => AugustoMauch
2017-07-06 14:10 hgbot Checkin
2017-07-06 14:10 hgbot Note Added: 0097916
2017-07-06 14:10 hgbot Status new => resolved
2017-07-06 14:10 hgbot Resolution open => fixed
2017-07-06 14:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8b2480998f027d3b151016ca88553c3211d7231b [^]
2017-07-06 15:59 alostale Relationship added blocks 0034490
2017-07-14 13:15 AugustoMauch Review Assigned To AugustoMauch => caristu
2017-07-19 13:30 caristu Note Added: 0098134
2017-07-19 13:30 caristu Status resolved => closed
2017-07-19 13:30 caristu Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099242


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker